# Finout API

The Finout API gives you programmatic access to your cloud cost and usage data, Virtual Tags, CostGuard recommendations, and more. Use the API to build custom integrations, automate cost and usage reporting, and embed Finout data into your own systems.

***

### API Versions

Finout supports two API generations. New integrations should use V2 where available, as V2 APIs offer higher scale and rate limitations, richer querying capabilities, and continued investment going forward:

* [**API V1**](https://docs.finout.io/api/finout-api/finout-api-v1)&#x20;
* [**API V2**](https://docs.finout.io/api/finout-api/finout-api-v2)&#x20;

{% hint style="info" %}
V2 is the recommended API for all new integrations. Use V2 by default. Use API V1 only for routes that are not yet available in V2.&#x20;
{% endhint %}

***

### Authentication

All Finout API requests — V1 and V2 — use the same authentication method and require a Client ID and Secret Key. See [Generate an API Token](https://docs.finout.io/api/finout-api/generate-an-api-token) to get started.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finout.io/api/finout-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
